> ## Documentation Index
> Fetch the complete documentation index at: https://docs.slate.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a QC Process

> Updates a QC Process name, archival, or checklist



## OpenAPI

````yaml /api-reference/qc/openapi.yaml patch /v2/qc/processes/{qcpID}
openapi: 3.0.0
info:
  title: QC API
  description: >-
    API for managing Quality Control checklists, requests, approving or
    rejecting requests, etc.
  version: 2.0.0
  contact:
    name: Slate API Support
    email: api-support@slate.inc
    url: https://slate.inc
servers:
  - url: https://api.slate.inc/qc
    description: Production
  - url: https://api.uat.slate.inc/qc
    description: UAT (staging)
security:
  - bearerAuth: []
paths:
  /v2/qc/processes/{qcpID}:
    patch:
      summary: Update a QC Process
      description: Updates a QC Process name, archival, or checklist
      parameters:
        - in: path
          name: qcpID
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PatchQCProcess'
      responses:
        '200':
          description: QC Process patched successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/QCProcess'
        '400':
          description: Invalid request parameters
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Unauthorized or invalid permissions
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Quality Check Process not found or token does not have permission
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: Unexpected internal error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    PatchQCProcess:
      type: object
      properties:
        displayName:
          type: string
          description: The display name of the QC process
        description:
          type: string
          description: A longer description of the QC checklist.
        checklistId:
          type: string
          format: uuid
          description: Unique identifier for the QC checklist for this process
          x-go-type: Optional[openapi_types.UUID]
          x-go-type-import:
            path: github.com/oapi-codegen/runtime/types
            name: openapi_types
          x-go-type-skip-optional-pointer: true
        archivedOn:
          type: string
          format: date-time
          description: Timestamp when the QC process was archived
    QCProcess:
      type: object
      required:
        - id
        - owner
        - displayName
        - createdOn
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier for the QC process
        owner:
          type: string
          description: The ID of the owner
        displayName:
          type: string
          description: The display name of the QC process
        createdOn:
          type: string
          format: date-time
          description: Timestamp when the QC process was created
        archivedOn:
          type: string
          format: date-time
          description: Timestamp when the QC process was archived
        checklistId:
          type: string
          format: uuid
          description: Unique identifier for the QC checklist for this process
    Error:
      type: object
      required:
        - message
      properties:
        message:
          type: string
          description: A human readable error message
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Owner-scoped bearer token. The `owner` a request is scoped to is derived
        from the token; list endpoints also take an explicit `owner` query
        parameter your token must be authorized to read.

````